File=/proc/meminfo

# Expected format
#
# MemTotal:      ... kB
# MemFree:       ... kB
# Buffers:       ... kB
# Cached:        ... kB
# SwapCached:    ... kB
# ...

Patterns=3
Pattern1.Pattern=^MemTotal:\\s*(\\d+)
Pattern1.Counters=MemTotal
Pattern1.Counter.MemTotal.UseDifference=false

Pattern2.Pattern=^(?:MemFree|Buffers|Cached):\\s*(\\d+)
Pattern2.Accumulating=true
Pattern2.Counters=MemClaimable
Pattern2.Counter.MemClaimable.UseDifference=false

Pattern3.Pattern=^(?:Swap)?Cached:\\s*(\\d+)
Pattern3.Accumulating=true
Pattern3.Counters=MemCache
Pattern3.Counter.MemCache.UseDifference=false
